# Uses of Interface
org.opensaml.xmlsec.encryption.EncryptedKey

Packages that use EncryptedKey
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.encryption
Classes for encrypting and decrypting SAML.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.
org.opensaml.xmlsec.encryption.support
Functional support for XML Encryption.
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of EncryptedKey in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return types with arguments of type EncryptedKey
Modifier and Type
Method
Description
`List<EncryptedKey>`
EncryptedElementType.`getEncryptedKeys()`
A list of EncryptedKey child elements.

## Uses of EncryptedKey in org.opensaml.saml.saml2.core.impl

Fields in org.opensaml.saml.saml2.core.impl with type parameters of type EncryptedKey
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<EncryptedKey>`
EncryptedElementTypeImpl.`encryptedKeys`
EncryptedKey children.
Methods in org.opensaml.saml.saml2.core.impl that return types with arguments of type EncryptedKey
Modifier and Type
Method
Description
`List<EncryptedKey>`
EncryptedElementTypeImpl.`getEncryptedKeys()`
A list of EncryptedKey child elements.

## Uses of EncryptedKey in org.opensaml.saml.saml2.encryption

Methods in org.opensaml.saml.saml2.encryption that return types with arguments of type EncryptedKey
Modifier and Type
Method
Description
`Iterable<EncryptedKey>`
EncryptedElementTypeEncryptedKeyResolver.`resolve(EncryptedData encryptedData, Set<String> recipients)`
Resolve the EncryptedKey elements containing the data encryption key used to encrypt the specified EncryptedData element.
Methods in org.opensaml.saml.saml2.encryption with parameters of type EncryptedKey
Modifier and Type
Method
Description
`protected void`
Encrypter.`linkSinglePeerKey(EncryptedData encData, EncryptedKey encKey)`
Link a single EncryptedKey to the EncryptedData according to guidelines in SAML Errata E43.
Method parameters in org.opensaml.saml.saml2.encryption with type arguments of type EncryptedKey
Modifier and Type
Method
Description
`protected void`
Encrypter.`linkMultiplePeerKeys(EncryptedData encData, List<EncryptedKey> encKeys)`
Link multiple "multicast" EncryptedKeys to the EncryptedData according to guidelines in SAML Errata E43.
`protected EncryptedElementType`
Encrypter.`placeKeysAsPeers(EncryptedElementType encElement, EncryptedData encData, List<EncryptedKey> encKeys)`
Store the specified EncryptedData and EncryptedKey(s) in the specified instance of EncryptedElementType as peer elements, following SAML 2 Errata E43 guidelines for forward and back referencing between the EncryptedData and EncryptedKey(s).
`protected EncryptedElementType`
Encrypter.`placeKeysInline(EncryptedElementType encElement, EncryptedData encData, List<EncryptedKey> encKeys)`
Place the EncryptedKey elements inside the KeyInfo element within the EncryptedData element.
`protected EncryptedElementType`
Encrypter.`processElements(EncryptedElementType encElement, EncryptedData encData, List<EncryptedKey> encKeys)`
Handle post-processing of generated EncryptedData and EncryptedKey(s) and storage in the appropriate EncryptedElementType instance.

## Uses of EncryptedKey in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement EncryptedKey
Modifier and Type
Class
Description
`class`
`EncryptedKeyImpl`
Concrete implementation of `EncryptedKey`.
Methods in org.opensaml.xmlsec.encryption.impl that return EncryptedKey
Modifier and Type
Method
Description
`EncryptedKey`
EncryptedKeyBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`EncryptedKey`
EncryptedKeyBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

## Uses of EncryptedKey in org.opensaml.xmlsec.encryption.support

Fields in org.opensaml.xmlsec.encryption.support declared as EncryptedKey
Modifier and Type
Field
Description
`private EncryptedKey`
ChainingEncryptedKeyResolver.ChainingIterator.`nextKey`
The next encrypted key that is safe to return.
Fields in org.opensaml.xmlsec.encryption.support with type parameters of type EncryptedKey
Modifier and Type
Field
Description
`private Iterator<EncryptedKey>`
ChainingEncryptedKeyResolver.ChainingIterator.`keyIterator`
The iterator over EncryptedKey instances from the current resolver.
Methods in org.opensaml.xmlsec.encryption.support that return EncryptedKey
Modifier and Type
Method
Description
`protected EncryptedKey`
SimpleRetrievalMethodEncryptedKeyResolver.`dereferenceURI(RetrievalMethod rm)`
Dereference the URI attribute of the specified retrieval method into an EncryptedKey.
`protected EncryptedKey`
Encrypter.`encryptKey(Key targetKey, Key encryptionKey, String encryptionAlgorithmURI, RSAOAEPParameters rsaOAEPParams, Document containingDocument)`
Encrypts a key using the specified encryption key and algorithm URI.
`EncryptedKey`
Encrypter.`encryptKey(Key key, KeyEncryptionParameters kekParams, Document containingDocument)`
Encrypts a key.
`private EncryptedKey`
ChainingEncryptedKeyResolver.ChainingIterator.`getNextKey()`
Get the next encrypted key that will be returned by this iterator.
`EncryptedKey`
ChainingEncryptedKeyResolver.ChainingIterator.`next()`
Methods in org.opensaml.xmlsec.encryption.support that return types with arguments of type EncryptedKey
Modifier and Type
Method
Description
`List<EncryptedKey>`
Encrypter.`encryptKey(Key key, List<KeyEncryptionParameters> kekParamsList, Document containingDocument)`
Encrypts a key once for each key encryption parameters set that is supplied.
`private Iterator<EncryptedKey>`
ChainingEncryptedKeyResolver.ChainingIterator.`getNextKeyIterator()`
Get the iterator from the next resolver in the chain.
`Iterator<EncryptedKey>`
ChainingEncryptedKeyResolver.ChainingIterable.`iterator()`
`Iterable<EncryptedKey>`
ChainingEncryptedKeyResolver.`resolve(EncryptedData encryptedData, Set<String> recipients)`
Resolve the EncryptedKey elements containing the data encryption key used to encrypt the specified EncryptedData element.
`default Iterable<EncryptedKey>`
EncryptedKeyResolver.`resolve(EncryptedData encryptedData)`
Resolve the EncryptedKey elements containing the data encryption key used to encrypt the specified EncryptedData element.
`Iterable<EncryptedKey>`
EncryptedKeyResolver.`resolve(EncryptedData encryptedData, Set<String> recipients)`
Resolve the EncryptedKey elements containing the data encryption key used to encrypt the specified EncryptedData element.
`Iterable<EncryptedKey>`
InlineEncryptedKeyResolver.`resolve(EncryptedData encryptedData, Set<String> recipients)`
Resolve the EncryptedKey elements containing the data encryption key used to encrypt the specified EncryptedData element.
`Iterable<EncryptedKey>`
SimpleKeyInfoReferenceEncryptedKeyResolver.`resolve(EncryptedData encryptedData, Set<String> recipients)`
Resolve the EncryptedKey elements containing the data encryption key used to encrypt the specified EncryptedData element.
`Iterable<EncryptedKey>`
SimpleRetrievalMethodEncryptedKeyResolver.`resolve(EncryptedData encryptedData, Set<String> recipients)`
Resolve the EncryptedKey elements containing the data encryption key used to encrypt the specified EncryptedData element.
`protected Iterable<EncryptedKey>`
SimpleKeyInfoReferenceEncryptedKeyResolver.`resolveKeyInfo(KeyInfo keyInfo, int limit, Set<String> validRecipients)`
Turn a KeyInfo into an EncryptedKey collection.
Methods in org.opensaml.xmlsec.encryption.support with parameters of type EncryptedKey
Modifier and Type
Method
Description
`Key`
Decrypter.`decryptKey(EncryptedKey encryptedKey, String algorithm)`
Attempts to decrypt the supplied EncryptedKey and returns the resulting Java security Key object.
`Key`
Decrypter.`decryptKey(EncryptedKey encryptedKey, String algorithm, Key kek)`
Decrypts the supplied EncryptedKey and returns the resulting Java security Key object.
`protected boolean`
AbstractEncryptedKeyResolver.`matchCarriedKeyName(EncryptedData encryptedData, EncryptedKey encryptedKey)`
Evaluate whether an EncryptedKey's CarriedKeyName matches one of the KeyName values from the EncryptedData context.
`protected boolean`
AbstractEncryptedKeyResolver.`matchDataReference(EncryptedData encryptedData, EncryptedKey encryptedKey)`
Evaluate whether any of the EncryptedKey's DataReferences refer to the EncryptedData context.
`protected void`
Decrypter.`preProcessEncryptedKey(EncryptedKey encryptedKey, String algorithm, Key kek)`
Preprocess the EncryptedKey.
`void`
DefaultPreDecryptionValidator.`validate(EncryptedKey encryptedKey)`
Validate an instance of `EncryptedKey`.
`void`
PreDecryptionValidator.`validate(EncryptedKey encryptedKey)`
Validate an instance of `EncryptedKey`.
`protected void`
Decrypter.`validateAlgorithms(EncryptedKey encryptedKey)`
Validate the algorithms contained within an `EncryptedKey`.

## Uses of EncryptedKey in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return types with arguments of type EncryptedKey
Modifier and Type
Method
Description
`List<EncryptedKey>`
KeyInfo.`getEncryptedKeys()`
Get the list of EncryptedKey child elements Note: EncryptedKey is actually defined in the XML Encryption schema, and is not explicitly defined in the KeyInfoType content model, but for convenience this named getter method is exposed.

## Uses of EncryptedKey in org.opensaml.xmlsec.signature.impl

Methods in org.opensaml.xmlsec.signature.impl that return types with arguments of type EncryptedKey
Modifier and Type
Method
Description
`List<EncryptedKey>`
KeyInfoImpl.`getEncryptedKeys()`
Get the list of EncryptedKey child elements Note: EncryptedKey is actually defined in the XML Encryption schema, and is not explicitly defined in the KeyInfoType content model, but for convenience this named getter method is exposed.